CREATE TABLE fun_trx_type_ar_maps_ (
    TRX_TYPE_MAP_ID              NUMBER(18, 0) ,
    MEMO_LINE_SEQ_ID             NUMBER(18, 0) ,
    CUST_TRX_TYPE_SEQ_ID         NUMBER(18, 0) ,
    TRX_TYPE_ID                  NUMBER(18, 0) ,
    BU_ID                        NUMBER(18, 0) ,
    MEMO_LINE_ID                 NUMBER(18, 0) ,
    AR_TRX_TYPE_ID               NUMBER(18, 0) ,
    ATTRIBUTE1                   VARCHAR2(600) ,
    ATTRIBUTE2                   VARCHAR2(600) ,
    ATTRIBUTE3                   VARCHAR2(600) ,
    ATTRIBUTE4                   VARCHAR2(600) ,
    ATTRIBUTE5                   VARCHAR2(600) ,
    ATTRIBUTE6                   VARCHAR2(600) ,
    ATTRIBUTE7                   VARCHAR2(600) ,
    ATTRIBUTE8                   VARCHAR2(600) ,
    ATTRIBUTE9                   VARCHAR2(600) ,
    ATTRIBUTE10                  VARCHAR2(600) ,
    ATTRIBUTE11                  VARCHAR2(600) ,
    ATTRIBUTE12                  VARCHAR2(600) ,
    ATTRIBUTE13                  VARCHAR2(600) ,
    ATTRIBUTE14                  VARCHAR2(600) ,
    ATTRIBUTE15                  VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    CREATED_BY                   VARCHAR2(256) ,
    CREATION_DATE                TIMESTAMP(6)  ,
    LAST_UPDATED_BY              VARCHAR2(256) ,
    LAST_UPDATE_DATE             TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)  ,
    AR_CM_TRX_TYPE_ID            NUMBER(18, 0) ,
    STANDARD_CREDIT_MEMO_FLAG    VARCHAR2(4)   ,
    AUDIT_ACTION_TYPE_           VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_        VARCHAR2(4000),
    AUDIT_IMPERSONATOR_          VARCHAR2(256) ,
    TRX_TYPE_MAP_ID              NUMBER(18, 0) ,
    MEMO_LINE_SEQ_ID             NUMBER(18, 0) ,
    CUST_TRX_TYPE_SEQ_ID         NUMBER(18, 0) ,
    TRX_TYPE_ID                  NUMBER(18, 0) ,
    BU_ID                        NUMBER(18, 0) ,
    MEMO_LINE_ID                 NUMBER(18, 0) ,
    AR_TRX_TYPE_ID               NUMBER(18, 0) ,
    ATTRIBUTE1                   VARCHAR2(600) ,
    ATTRIBUTE2                   VARCHAR2(600) ,
    ATTRIBUTE3                   VARCHAR2(600) ,
    ATTRIBUTE4                   VARCHAR2(600) ,
    ATTRIBUTE5                   VARCHAR2(600) ,
    ATTRIBUTE6                   VARCHAR2(600) ,
    ATTRIBUTE7                   VARCHAR2(600) ,
    ATTRIBUTE8                   VARCHAR2(600) ,
    ATTRIBUTE9                   VARCHAR2(600) ,
    ATTRIBUTE10                  VARCHAR2(600) ,
    ATTRIBUTE11                  VARCHAR2(600) ,
    ATTRIBUTE12                  VARCHAR2(600) ,
    ATTRIBUTE13                  VARCHAR2(600) ,
    ATTRIBUTE14                  VARCHAR2(600) ,
    ATTRIBUTE15                  VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    CREATED_BY                   VARCHAR2(256) ,
    CREATION_DATE                TIMESTAMP(6)  ,
    LAST_UPDATED_BY              VARCHAR2(256) ,
    LAST_UPDATE_DATE             TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_           VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_        VARCHAR2(4000),
    AUDIT_IMPERSONATOR_          VARCHAR2(256) ,
    AR_CM_TRX_TYPE_ID            NUMBER(18, 0) ,
    STANDARD_CREDIT_MEMO_FLAG    VARCHAR2(4)   ,
    CONSTRAINT pk_fun_trx_type_ar_maps_ PRIMARY KEY (TRX_TYPE_MAP_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE, TRX_TYPE_MAP_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
